CREATE TABLE IF NOT EXISTS "country"
(
    id uuid,
    iso_name char(2) UNIQUE NOT NULL,
    name varchar(45) NOT NULL,

    primary key (id)
);

CREATE TABLE IF NOT EXISTS "holiday"
(
    id uuid,
    country char(2) NOT NULL,
    date date NOT NULL,
    name varchar(64) NOT NULL,
    description varchar(512),
    is_state boolean NOT NULL,
    is_religious boolean NOT NULL,

    primary key (id),
    constraint fk_country_id foreign key (country)
        references country(iso_name) on delete cascade on update cascade
);
